Subject: bug#68272: [PATCH] Fix -1 leaking from C to lisp in 'read-event' etc.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Mar 2024 15:10:39 +0200

> From: Tim Ruffing <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> Date: Mon, 04 Mar 2024 19:42:09 +0100
> 
> Hi, this is an updated patch set.
> 
> Changes to the previous revision:
>  * Instead of changing requeued_events_pending_p, it's renamed to
>    requeued_command_events_pending_p, and I've fixed the outdated
>    comment that had misled me.  Then a new requeued_events_pending_p
>    with different semantics is added and used in following commits.
>    This addresses one of Eli's comments, and should make sure that
>    existing callers of requeued_events_pending_p are not affected by
>    the patch.
>  * I've added a large comment to src/macro.c as an attempt to explain
>    how we handle the end of a keyboard macro.
>  * I've improved the commit message of (now) 6be0f5f. 

Thanks, but what about the comments in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68272#11 ?

IOW, what about callers that actually _want_ to know when the macro
ends prematurely?